<?xml version="1.0" encoding="utf-8"?>
<!--Generated by DataTracks Rainbow version 3.5 for Toppan Merrill on 26-October-2022 [12:07:44] {AM}-->
<linkbase xmlns="http://www.xbrl.org/2003/linkbase" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xlink="http://www.w3.org/1999/xlink" xsi:schemaLocation="http://www.xbrl.org/2003/linkbase http://www.xbrl.org/2003/xbrl-linkbase-2003-12-31.xsd">
  <roleRef xlink:type="simple" xlink:href="http://www.xbrl.org/lrr/role/negated-2009-12-16.xsd#negatedLabel" roleURI="http://www.xbrl.org/2009/role/negatedLabel" />
  <roleRef xlink:type="simple" xlink:href="http://www.xbrl.org/lrr/role/negated-2009-12-16.xsd#negatedPeriodEndLabel" roleURI="http://www.xbrl.org/2009/role/negatedPeriodEndLabel" />
  <roleRef xlink:type="simple" xlink:href="http://www.xbrl.org/lrr/role/negated-2009-12-16.xsd#negatedPeriodStartLabel" roleURI="http://www.xbrl.org/2009/role/negatedPeriodStartLabel" />
  <roleRef xlink:type="simple" xlink:href="http://www.xbrl.org/lrr/role/negated-2009-12-16.xsd#negatedTotalLabel" roleURI="http://www.xbrl.org/2009/role/negatedTotalLabel" />
  <roleRef xlink:type="simple" xlink:href="http://www.xbrl.org/lrr/role/negated-2009-12-16.xsd#negatedNetLabel" roleURI="http://www.xbrl.org/2009/role/negatedNetLabel" />
  <roleRef xlink:type="simple" xlink:href="http://www.xbrl.org/lrr/role/negated-2009-12-16.xsd#negatedTerseLabel" roleURI="http://www.xbrl.org/2009/role/negatedTerseLabel" />
  <roleRef xlink:type="simple" xlink:href="http://www.xbrl.org/lrr/role/net-2009-12-16.xsd#netLabel" roleURI="http://www.xbrl.org/2009/role/netLabel" />
  <labelLink xlink:type="extended" xlink:role="http://www.xbrl.org/2003/role/link">
    <loc xlink:type="locator" xlink:href="213800JEGHHEAXIJDX34-2022-04-24.xsd#fras_ContinuingAndDiscontinuedOperationAxis" xlink:label="loc_fras_ContinuingAndDiscontinuedOperationAxis" />
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/label" xlink:label="lab_fras_ContinuingAndDiscontinuedOperationAxis" xml:lang="en">Continuing And Discontinued Operation [Axis]</label>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_fras_ContinuingAndDiscontinuedOperationAxis" xlink:to="lab_fras_ContinuingAndDiscontinuedOperationAxis" />
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:label="lab_fras_ContinuingAndDiscontinuedOperationAxis" xml:lang="en">Continuing and discontinued operation [axis].</label>
    <loc xlink:type="locator" xlink:href="213800JEGHHEAXIJDX34-2022-04-24.xsd#fras_ContinuingAndDiscontinuedOperationDomain" xlink:label="loc_fras_ContinuingAndDiscontinuedOperationDomain" />
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/label" xlink:label="lab_fras_ContinuingAndDiscontinuedOperationDomain" xml:lang="en">Continuing And Discontinued Operation [Domain]</label>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_fras_ContinuingAndDiscontinuedOperationDomain" xlink:to="lab_fras_ContinuingAndDiscontinuedOperationDomain" />
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:label="lab_fras_ContinuingAndDiscontinuedOperationDomain" xml:lang="en">Continuing and discontinued operation [Domain].</label>
    <loc xlink:type="locator" xlink:href="213800JEGHHEAXIJDX34-2022-04-24.xsd#fras_InvestmentCosts" xlink:label="loc_fras_InvestmentCosts" />
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/label" xlink:label="lab_fras_InvestmentCosts" xml:lang="en">Investment Costs</label>
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2009/role/negatedLabel" xlink:label="lab_fras_InvestmentCosts" xml:lang="en">Investment Costs</label>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_fras_InvestmentCosts" xlink:to="lab_fras_InvestmentCosts" />
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:label="lab_fras_InvestmentCosts" xml:lang="en">Investment costs</label>
    <loc xlink:type="locator" xlink:href="213800JEGHHEAXIJDX34-2022-04-24.xsd#fras_ExceptionalItems" xlink:label="loc_fras_ExceptionalItems" />
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/label" xlink:label="lab_fras_ExceptionalItems" xml:lang="en">Exceptional Items</label>
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2009/role/negatedLabel" xlink:label="lab_fras_ExceptionalItems" xml:lang="en">Exceptional Items</label>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_fras_ExceptionalItems" xlink:to="lab_fras_ExceptionalItems" />
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:label="lab_fras_ExceptionalItems" xml:lang="en">Exceptional items</label>
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_GrossProfit" xlink:label="loc_ifrs-full_GrossProfit" />
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:label="lab_ifrs-full_GrossProfit" xml:lang="en">Gross profit</label>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_GrossProfit" xlink:to="lab_ifrs-full_GrossProfit" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_IncomeTaxExpenseContinuingOperations" xlink:label="loc_ifrs-full_IncomeTaxExpenseContinuingOperations" />
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2009/role/negatedLabel" xlink:label="lab_ifrs-full_IncomeTaxExpenseContinuingOperations" xml:lang="en">Tax expense (income)</label>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_IncomeTaxExpenseContinuingOperations" xlink:to="lab_ifrs-full_IncomeTaxExpenseContinuingOperations" />
    <loc xlink:type="locator" xlink:href="213800JEGHHEAXIJDX34-2022-04-24.xsd#fras_SellingDistributionAndAdministrativeExpense" xlink:label="loc_fras_SellingDistributionAndAdministrativeExpense" />
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/label" xlink:label="lab_fras_SellingDistributionAndAdministrativeExpense" xml:lang="en">Selling Distribution And Administrative Expense</label>
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2009/role/negatedLabel" xlink:label="lab_fras_SellingDistributionAndAdministrativeExpense" xml:lang="en">Selling Distribution And Administrative Expense</label>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_fras_SellingDistributionAndAdministrativeExpense" xlink:to="lab_fras_SellingDistributionAndAdministrativeExpense" />
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:label="lab_fras_SellingDistributionAndAdministrativeExpense" xml:lang="en">Selling Distribution And Administrative Expense</label>
    <loc xlink:type="locator" xlink:href="213800JEGHHEAXIJDX34-2022-04-24.xsd#fras_TotalRevenueIncludingCreditAccountInterest" xlink:label="loc_fras_TotalRevenueIncludingCreditAccountInterest" />
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/label" xlink:label="lab_fras_TotalRevenueIncludingCreditAccountInterest" xml:lang="en">Total Revenue Including Credit Account Interest</label>
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:label="lab_fras_TotalRevenueIncludingCreditAccountInterest" xml:lang="en">Total Revenue Including Credit Account Interest</label>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_fras_TotalRevenueIncludingCreditAccountInterest" xlink:to="lab_fras_TotalRevenueIncludingCreditAccountInterest" />
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:label="lab_fras_TotalRevenueIncludingCreditAccountInterest" xml:lang="en">Total revenue including credit account interest.</label>
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_ImpairmentLossRecognisedInProfitOrLossTradeReceivables" xlink:label="loc_ifrs-full_ImpairmentLossRecognisedInProfitOrLossTradeReceivables" />
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2009/role/negatedLabel" xlink:label="lab_ifrs-full_ImpairmentLossRecognisedInProfitOrLossTradeReceivables" xml:lang="en">Impairment loss recognised in profit or loss, trade receivables</label>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_ImpairmentLossRecognisedInProfitOrLossTradeReceivables" xlink:to="lab_ifrs-full_ImpairmentLossRecognisedInProfitOrLossTradeReceivables" />
    <loc xlink:type="locator" xlink:href="213800JEGHHEAXIJDX34-2022-04-24.xsd#fras_DeferredTaxOnRemeasurementsOfDefinedBenefitPensionScheme" xlink:label="loc_fras_DeferredTaxOnRemeasurementsOfDefinedBenefitPensionScheme" />
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/label" xlink:label="lab_fras_DeferredTaxOnRemeasurementsOfDefinedBenefitPensionScheme" xml:lang="en">Deferred Tax On Remeasurements Of Defined Benefit Pension Scheme</label>
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2009/role/negatedLabel" xlink:label="lab_fras_DeferredTaxOnRemeasurementsOfDefinedBenefitPensionScheme" xml:lang="en">Deferred Tax On Remeasurements Of Defined Benefit Pension Scheme</label>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_fras_DeferredTaxOnRemeasurementsOfDefinedBenefitPensionScheme" xlink:to="lab_fras_DeferredTaxOnRemeasurementsOfDefinedBenefitPensionScheme" />
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:label="lab_fras_DeferredTaxOnRemeasurementsOfDefinedBenefitPensionScheme" xml:lang="en">Deferred tax on remeasurements of defined benefit pension scheme.</label>
    <loc xlink:type="locator" xlink:href="213800JEGHHEAXIJDX34-2022-04-24.xsd#fras_FairValueMovementOnHedgedContractsReclassifiedAndReportedInSales" xlink:label="loc_fras_FairValueMovementOnHedgedContractsReclassifiedAndReportedInSales" />
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/label" xlink:label="lab_fras_FairValueMovementOnHedgedContractsReclassifiedAndReportedInSales" xml:lang="en">Fair Value Movement On Hedged Contracts Reclassified And Reported In Sales</label>
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2009/role/negatedLabel" xlink:label="lab_fras_FairValueMovementOnHedgedContractsReclassifiedAndReportedInSales" xml:lang="en">Fair Value Movement On Hedged Contracts Reclassified And Reported In Sales</label>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_fras_FairValueMovementOnHedgedContractsReclassifiedAndReportedInSales" xlink:to="lab_fras_FairValueMovementOnHedgedContractsReclassifiedAndReportedInSales" />
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:label="lab_fras_FairValueMovementOnHedgedContractsReclassifiedAndReportedInSales" xml:lang="en">Fair value movement on hedged contracts - reclassified and reported in sales</label>
    <loc xlink:type="locator" xlink:href="213800JEGHHEAXIJDX34-2022-04-24.xsd#fras_FairValueMovementOnHedgedContractsReclassifiedAndReportedInInventoryAndCostOfSales" xlink:label="loc_fras_FairValueMovementOnHedgedContractsReclassifiedAndReportedInInventoryAndCostOfSales" />
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/label" xlink:label="lab_fras_FairValueMovementOnHedgedContractsReclassifiedAndReportedInInventoryAndCostOfSales" xml:lang="en">Fair Value Movement On Hedged Contracts Reclassified And Reported In Inventory And Cost Of Sales</label>
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2009/role/negatedLabel" xlink:label="lab_fras_FairValueMovementOnHedgedContractsReclassifiedAndReportedInInventoryAndCostOfSales" xml:lang="en">Fair Value Movement On Hedged Contracts Reclassified And Reported In Inventory And Cost Of Sales</label>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_fras_FairValueMovementOnHedgedContractsReclassifiedAndReportedInInventoryAndCostOfSales" xlink:to="lab_fras_FairValueMovementOnHedgedContractsReclassifiedAndReportedInInventoryAndCostOfSales" />
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:label="lab_fras_FairValueMovementOnHedgedContractsReclassifiedAndReportedInInventoryAndCostOfSales" xml:lang="en">Fair value movement on hedged contracts - reclassified and reported in inventory/cost of sales.</label>
    <loc xlink:type="locator" xlink:href="213800JEGHHEAXIJDX34-2022-04-24.xsd#fras_TotalAssets" xlink:label="loc_fras_TotalAssets" />
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/label" xlink:label="lab_fras_TotalAssets" xml:lang="en">Total Assets</label>
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:label="lab_fras_TotalAssets" xml:lang="en">Total Assets</label>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_fras_TotalAssets" xlink:to="lab_fras_TotalAssets" />
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:label="lab_fras_TotalAssets" xml:lang="en">Total assets.</label>
    <loc xlink:type="locator" xlink:href="213800JEGHHEAXIJDX34-2022-04-24.xsd#fras_OwnShareReserve" xlink:label="loc_fras_OwnShareReserve" />
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/label" xlink:label="lab_fras_OwnShareReserve" xml:lang="en">Own share reserve</label>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_fras_OwnShareReserve" xlink:to="lab_fras_OwnShareReserve" />
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:label="lab_fras_OwnShareReserve" xml:lang="en">Own Share Reserve</label>
    <loc xlink:type="locator" xlink:href="213800JEGHHEAXIJDX34-2022-04-24.xsd#fras_PermanentContributionToCapital" xlink:label="loc_fras_PermanentContributionToCapital" />
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/label" xlink:label="lab_fras_PermanentContributionToCapital" xml:lang="en">Permanent contribution to capital</label>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_fras_PermanentContributionToCapital" xlink:to="lab_fras_PermanentContributionToCapital" />
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:label="lab_fras_PermanentContributionToCapital" xml:lang="en">Permanent Contribution To Capital</label>
    <loc xlink:type="locator" xlink:href="213800JEGHHEAXIJDX34-2022-04-24.xsd#fras_ReverseCombinationReserve" xlink:label="loc_fras_ReverseCombinationReserve" />
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/label" xlink:label="lab_fras_ReverseCombinationReserve" xml:lang="en">Reverse Combination Reserve</label>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_fras_ReverseCombinationReserve" xlink:to="lab_fras_ReverseCombinationReserve" />
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:label="lab_fras_ReverseCombinationReserve" xml:lang="en">Reverse combination reserve.</label>
    <loc xlink:type="locator" xlink:href="213800JEGHHEAXIJDX34-2022-04-24.xsd#fras_TotalLiabilities" xlink:label="loc_fras_TotalLiabilities" />
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/label" xlink:label="lab_fras_TotalLiabilities" xml:lang="en">Total Liabilities</label>
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:label="lab_fras_TotalLiabilities" xml:lang="en">Total Liabilities</label>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_fras_TotalLiabilities" xlink:to="lab_fras_TotalLiabilities" />
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:label="lab_fras_TotalLiabilities" xml:lang="en">Total liabilities.</label>
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges" xlink:label="loc_ifrs-full_IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges" />
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:label="lab_ifrs-full_IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges" xml:lang="en">Net increase (decrease) in cash and cash equivalents before effect of exchange rate changes</label>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges" xlink:to="lab_ifrs-full_IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_EffectOfExchangeRateChangesOnCashAndCashEquivalents" xlink:label="loc_ifrs-full_EffectOfExchangeRateChangesOnCashAndCashEquivalents" />
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/terseLabel" xlink:label="lab_ifrs-full_EffectOfExchangeRateChangesOnCashAndCashEquivalents" xml:lang="en">Effect of exchange rate changes on cash and cash equivalents</label>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_EffectOfExchangeRateChangesOnCashAndCashEquivalents" xlink:to="lab_ifrs-full_EffectOfExchangeRateChangesOnCashAndCashEquivalents" />
    <loc xlink:type="locator" xlink:href="213800JEGHHEAXIJDX34-2022-04-24.xsd#fras_FinanceCostsPaid" xlink:label="loc_fras_FinanceCostsPaid" />
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/label" xlink:label="lab_fras_FinanceCostsPaid" xml:lang="en">Finance Costs Paid</label>
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2009/role/negatedLabel" xlink:label="lab_fras_FinanceCostsPaid" xml:lang="en">Finance Costs Paid</label>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_fras_FinanceCostsPaid" xlink:to="lab_fras_FinanceCostsPaid" />
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:label="lab_fras_FinanceCostsPaid" xml:lang="en">Finance Costs Paid</label>
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_PaymentsOfLeaseLiabilitiesClassifiedAsFinancingActivities" xlink:label="loc_ifrs-full_PaymentsOfLeaseLiabilitiesClassifiedAsFinancingActivities" />
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2009/role/negatedLabel" xlink:label="lab_ifrs-full_PaymentsOfLeaseLiabilitiesClassifiedAsFinancingActivities" xml:lang="en">Payments of lease liabilities, classified as financing activities</label>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_PaymentsOfLeaseLiabilitiesClassifiedAsFinancingActivities" xlink:to="lab_ifrs-full_PaymentsOfLeaseLiabilitiesClassifiedAsFinancingActivities" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_CashFlowsFromUsedInFinancingActivities" xlink:label="loc_ifrs-full_CashFlowsFromUsedInFinancingActivities" />
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:label="lab_ifrs-full_CashFlowsFromUsedInFinancingActivities" xml:lang="en">Net cash flows from (used in) financing activities</label>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_CashFlowsFromUsedInFinancingActivities" xlink:to="lab_ifrs-full_CashFlowsFromUsedInFinancingActivities" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_RepaymentsOfBorrowingsClassifiedAsFinancingActivities" xlink:label="loc_ifrs-full_RepaymentsOfBorrowingsClassifiedAsFinancingActivities" />
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2009/role/negatedLabel" xlink:label="lab_ifrs-full_RepaymentsOfBorrowingsClassifiedAsFinancingActivities" xml:lang="en">Repayments of borrowings, classified as financing activities</label>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_RepaymentsOfBorrowingsClassifiedAsFinancingActivities" xlink:to="lab_ifrs-full_RepaymentsOfBorrowingsClassifiedAsFinancingActivities" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_DividendsPaidClassifiedAsFinancingActivities" xlink:label="loc_ifrs-full_DividendsPaidClassifiedAsFinancingActivities" />
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2009/role/negatedLabel" xlink:label="lab_ifrs-full_DividendsPaidClassifiedAsFinancingActivities" xml:lang="en">Dividends paid, classified as financing activities</label>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_DividendsPaidClassifiedAsFinancingActivities" xlink:to="lab_ifrs-full_DividendsPaidClassifiedAsFinancingActivities" />
    <loc xlink:type="locator" xlink:href="213800JEGHHEAXIJDX34-2022-04-24.xsd#fras_ProceedsFromSaleAndLeasebackTransactionsClassifiedAsFinancingActivities" xlink:label="loc_fras_ProceedsFromSaleAndLeasebackTransactionsClassifiedAsFinancingActivities" />
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/label" xlink:label="lab_fras_ProceedsFromSaleAndLeasebackTransactionsClassifiedAsFinancingActivities" xml:lang="en">Proceeds From Sale And Leaseback Transactions Classified As Financing Activities</label>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_fras_ProceedsFromSaleAndLeasebackTransactionsClassifiedAsFinancingActivities" xlink:to="lab_fras_ProceedsFromSaleAndLeasebackTransactionsClassifiedAsFinancingActivities" />
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:label="lab_fras_ProceedsFromSaleAndLeasebackTransactionsClassifiedAsFinancingActivities" xml:lang="en">Proceeds from sale and leaseback transactions classified as financing activities.</label>
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_IncomeTaxesPaidClassifiedAsOperatingActivities" xlink:label="loc_ifrs-full_IncomeTaxesPaidClassifiedAsOperatingActivities" />
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2009/role/negatedLabel" xlink:label="lab_ifrs-full_IncomeTaxesPaidClassifiedAsOperatingActivities" xml:lang="en">Income taxes paid, classified as operating activities</label>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_IncomeTaxesPaidClassifiedAsOperatingActivities" xlink:to="lab_ifrs-full_IncomeTaxesPaidClassifiedAsOperatingActivities" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_CashFlowsFromUsedInOperatingActivities" xlink:label="loc_ifrs-full_CashFlowsFromUsedInOperatingActivities" />
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:label="lab_ifrs-full_CashFlowsFromUsedInOperatingActivities" xml:lang="en">Net cash flows from (used in) operating activities</label>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperatingActivities" xlink:to="lab_ifrs-full_CashFlowsFromUsedInOperatingActivities" />
    <loc xlink:type="locator" xlink:href="213800JEGHHEAXIJDX34-2022-04-24.xsd#fras_ProceedsOnDisposalOfIntangiblesAssets" xlink:label="loc_fras_ProceedsOnDisposalOfIntangiblesAssets" />
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/label" xlink:label="lab_fras_ProceedsOnDisposalOfIntangiblesAssets" xml:lang="en">Proceeds on disposal of intangibles assets</label>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_fras_ProceedsOnDisposalOfIntangiblesAssets" xlink:to="lab_fras_ProceedsOnDisposalOfIntangiblesAssets" />
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:label="lab_fras_ProceedsOnDisposalOfIntangiblesAssets" xml:lang="en">Proceeds On Disposal Of Intangibles Assets</label>
    <loc xlink:type="locator" xlink:href="213800JEGHHEAXIJDX34-2022-04-24.xsd#fras_PurchaseOfSubsidiariesNetOfCashAcquired" xlink:label="loc_fras_PurchaseOfSubsidiariesNetOfCashAcquired" />
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/label" xlink:label="lab_fras_PurchaseOfSubsidiariesNetOfCashAcquired" xml:lang="en">Purchase Of Subsidiaries Net Of Cash Acquired</label>
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2009/role/negatedLabel" xlink:label="lab_fras_PurchaseOfSubsidiariesNetOfCashAcquired" xml:lang="en">Purchase Of Subsidiaries Net Of Cash Acquired</label>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_fras_PurchaseOfSubsidiariesNetOfCashAcquired" xlink:to="lab_fras_PurchaseOfSubsidiariesNetOfCashAcquired" />
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:label="lab_fras_PurchaseOfSubsidiariesNetOfCashAcquired" xml:lang="en">Purchase Of Subsidiaries Net Of Cash Acquired</label>
    <loc xlink:type="locator" xlink:href="213800JEGHHEAXIJDX34-2022-04-24.xsd#fras_InvestmentIncomeReceived" xlink:label="loc_fras_InvestmentIncomeReceived" />
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/label" xlink:label="lab_fras_InvestmentIncomeReceived" xml:lang="en">Investment income received</label>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_fras_InvestmentIncomeReceived" xlink:to="lab_fras_InvestmentIncomeReceived" />
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:label="lab_fras_InvestmentIncomeReceived" xml:lang="en">Investment Income Received</label>
    <loc xlink:type="locator" xlink:href="213800JEGHHEAXIJDX34-2022-04-24.xsd#fras_FinanceIncomeReceived" xlink:label="loc_fras_FinanceIncomeReceived" />
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/label" xlink:label="lab_fras_FinanceIncomeReceived" xml:lang="en">Finance income received</label>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_fras_FinanceIncomeReceived" xlink:to="lab_fras_FinanceIncomeReceived" />
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:label="lab_fras_FinanceIncomeReceived" xml:lang="en">Finance Income Received</label>
    <loc xlink:type="locator" xlink:href="213800JEGHHEAXIJDX34-2022-04-24.xsd#fras_ProceedsOnDisposalOfPropertyPlantAndEquipmentAndInvestmentProperty" xlink:label="loc_fras_ProceedsOnDisposalOfPropertyPlantAndEquipmentAndInvestmentProperty" />
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/label" xlink:label="lab_fras_ProceedsOnDisposalOfPropertyPlantAndEquipmentAndInvestmentProperty" xml:lang="en">Proceeds On Disposal Of Property Plant And Equipment And Investment Property</label>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_fras_ProceedsOnDisposalOfPropertyPlantAndEquipmentAndInvestmentProperty" xlink:to="lab_fras_ProceedsOnDisposalOfPropertyPlantAndEquipmentAndInvestmentProperty" />
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:label="lab_fras_ProceedsOnDisposalOfPropertyPlantAndEquipmentAndInvestmentProperty" xml:lang="en">Proceeds On Disposal Of Property Plant And Equipment And Investment Property</label>
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_CashFlowsFromUsedInInvestingActivities" xlink:label="loc_ifrs-full_CashFlowsFromUsedInInvestingActivities" />
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:label="lab_ifrs-full_CashFlowsFromUsedInInvestingActivities" xml:lang="en">Net cash flows from (used in) investing activities</label>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_CashFlowsFromUsedInInvestingActivities" xlink:to="lab_ifrs-full_CashFlowsFromUsedInInvestingActivities" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_PurchaseOfInvestmentsOtherThanInvestmentsAccountedForUsingEquityMethod" xlink:label="loc_ifrs-full_PurchaseOfInvestmentsOtherThanInvestmentsAccountedForUsingEquityMethod" />
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2009/role/negatedLabel" xlink:label="lab_ifrs-full_PurchaseOfInvestmentsOtherThanInvestmentsAccountedForUsingEquityMethod" xml:lang="en">Purchase of investments other than investments accounted for using equity method</label>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_PurchaseOfInvestmentsOtherThanInvestmentsAccountedForUsingEquityMethod" xlink:to="lab_ifrs-full_PurchaseOfInvestmentsOtherThanInvestmentsAccountedForUsingEquityMethod" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_PurchaseOfIntangibleAssetsClassifiedAsInvestingActivities" xlink:label="loc_ifrs-full_PurchaseOfIntangibleAssetsClassifiedAsInvestingActivities" />
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2009/role/negatedLabel" xlink:label="lab_ifrs-full_PurchaseOfIntangibleAssetsClassifiedAsInvestingActivities" xml:lang="en">Purchase of intangible assets, classified as investing activities</label>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_PurchaseOfIntangibleAssetsClassifiedAsInvestingActivities" xlink:to="lab_ifrs-full_PurchaseOfIntangibleAssetsClassifiedAsInvestingActivities" />
    <loc xlink:type="locator" xlink:href="213800JEGHHEAXIJDX34-2022-04-24.xsd#fras_ProceedsInRelationToEquityDerivatives" xlink:label="loc_fras_ProceedsInRelationToEquityDerivatives" />
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/label" xlink:label="lab_fras_ProceedsInRelationToEquityDerivatives" xml:lang="en">Proceeds In Relation To Equity Derivatives</label>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_fras_ProceedsInRelationToEquityDerivatives" xlink:to="lab_fras_ProceedsInRelationToEquityDerivatives" />
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:label="lab_fras_ProceedsInRelationToEquityDerivatives" xml:lang="en">Proceeds in relation to equity derivatives.</label>
    <loc xlink:type="locator" xlink:href="213800JEGHHEAXIJDX34-2022-04-24.xsd#fras_ProceedsFromSaleAndLeasebackTransactionsClassifiedAsInvestingActivities" xlink:label="loc_fras_ProceedsFromSaleAndLeasebackTransactionsClassifiedAsInvestingActivities" />
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/label" xlink:label="lab_fras_ProceedsFromSaleAndLeasebackTransactionsClassifiedAsInvestingActivities" xml:lang="en">Proceeds From Sale And Leaseback Transactions Classified As Investing Activities</label>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_fras_ProceedsFromSaleAndLeasebackTransactionsClassifiedAsInvestingActivities" xlink:to="lab_fras_ProceedsFromSaleAndLeasebackTransactionsClassifiedAsInvestingActivities" />
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:label="lab_fras_ProceedsFromSaleAndLeasebackTransactionsClassifiedAsInvestingActivities" xml:lang="en">Proceeds from sale and leaseback transactions classified as investing activities.</label>
    <loc xlink:type="locator" xlink:href="213800JEGHHEAXIJDX34-2022-04-24.xsd#fras_PurchaseOfPropertyPlantAndEquipmentAndInvestmentProperty" xlink:label="loc_fras_PurchaseOfPropertyPlantAndEquipmentAndInvestmentProperty" />
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/label" xlink:label="lab_fras_PurchaseOfPropertyPlantAndEquipmentAndInvestmentProperty" xml:lang="en">Purchase Of Property Plant And Equipment And Investment Property</label>
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2009/role/negatedLabel" xlink:label="lab_fras_PurchaseOfPropertyPlantAndEquipmentAndInvestmentProperty" xml:lang="en">Purchase Of Property Plant And Equipment And Investment Property</label>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_fras_PurchaseOfPropertyPlantAndEquipmentAndInvestmentProperty" xlink:to="lab_fras_PurchaseOfPropertyPlantAndEquipmentAndInvestmentProperty" />
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:label="lab_fras_PurchaseOfPropertyPlantAndEquipmentAndInvestmentProperty" xml:lang="en">Purchase of property plant and equipment and investment property.</label>
    <loc xlink:type="locator" xlink:href="213800JEGHHEAXIJDX34-2022-04-24.xsd#fras_ProceedsOnDisposalOfListedInvestments" xlink:label="loc_fras_ProceedsOnDisposalOfListedInvestments" />
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/label" xlink:label="lab_fras_ProceedsOnDisposalOfListedInvestments" xml:lang="en">Proceeds on disposal of listed investments</label>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_fras_ProceedsOnDisposalOfListedInvestments" xlink:to="lab_fras_ProceedsOnDisposalOfListedInvestments" />
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:label="lab_fras_ProceedsOnDisposalOfListedInvestments" xml:lang="en">Proceeds On Disposal Of Listed Investments.</label>
    <loc xlink:type="locator" xlink:href="213800JEGHHEAXIJDX34-2022-04-24.xsd#fras_ShareSchemeReserveMember" xlink:label="loc_fras_ShareSchemeReserveMember" />
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/label" xlink:label="lab_fras_ShareSchemeReserveMember" xml:lang="en">Share Scheme Reserve [Member]</label>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_fras_ShareSchemeReserveMember" xlink:to="lab_fras_ShareSchemeReserveMember" />
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:label="lab_fras_ShareSchemeReserveMember" xml:lang="en">Share scheme reserve [Member].</label>
    <loc xlink:type="locator" xlink:href="213800JEGHHEAXIJDX34-2022-04-24.xsd#fras_OwnSharesReserveMember" xlink:label="loc_fras_OwnSharesReserveMember" />
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/label" xlink:label="lab_fras_OwnSharesReserveMember" xml:lang="en">Own Shares Reserve [Member]</label>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_fras_OwnSharesReserveMember" xlink:to="lab_fras_OwnSharesReserveMember" />
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:label="lab_fras_OwnSharesReserveMember" xml:lang="en">Own shares reserve.</label>
    <loc xlink:type="locator" xlink:href="213800JEGHHEAXIJDX34-2022-04-24.xsd#fras_FairValueAdjustmentInRespectOfLongTermFinancialAssetsRecognised" xlink:label="loc_fras_FairValueAdjustmentInRespectOfLongTermFinancialAssetsRecognised" />
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/label" xlink:label="lab_fras_FairValueAdjustmentInRespectOfLongTermFinancialAssetsRecognised" xml:lang="en">Fair Value Adjustment In Respect Of Long Term Financial Assets Recognised</label>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_fras_FairValueAdjustmentInRespectOfLongTermFinancialAssetsRecognised" xlink:to="lab_fras_FairValueAdjustmentInRespectOfLongTermFinancialAssetsRecognised" />
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:label="lab_fras_FairValueAdjustmentInRespectOfLongTermFinancialAssetsRecognised" xml:lang="en">Fair value adjustment in respect of long term financial assets - recognised</label>
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_IncomeTaxRelatingToComponentsOfOtherComprehensiveIncomeThatWillBeReclassifiedToProfitOrLoss" xlink:label="loc_ifrs-full_IncomeTaxRelatingToComponentsOfOtherComprehensiveIncomeThatWillBeReclassifiedToProfitOrLoss" />
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2009/role/negatedLabel" xlink:label="lab_ifrs-full_IncomeTaxRelatingToComponentsOfOtherComprehensiveIncomeThatWillBeReclassifiedToProfitOrLoss" xml:lang="en">Income tax relating to components of other comprehensive income that will be reclassified to profit or loss</label>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_IncomeTaxRelatingToComponentsOfOtherComprehensiveIncomeThatWillBeReclassifiedToProfitOrLoss" xlink:to="lab_ifrs-full_IncomeTaxRelatingToComponentsOfOtherComprehensiveIncomeThatWillBeReclassifiedToProfitOrLoss" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_IncreaseDecreaseThroughTransactionsWithOwners" xlink:label="loc_ifrs-full_IncreaseDecreaseThroughTransactionsWithOwners" />
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:label="lab_ifrs-full_IncreaseDecreaseThroughTransactionsWithOwners" xml:lang="en">Increase (decrease) through transactions with owners, equity</label>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_IncreaseDecreaseThroughTransactionsWithOwners" xlink:to="lab_ifrs-full_IncreaseDecreaseThroughTransactionsWithOwners" />
    <loc xlink:type="locator" xlink:href="213800JEGHHEAXIJDX34-2022-04-24.xsd#fras_ShareScheme" xlink:label="loc_fras_ShareScheme" />
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/label" xlink:label="lab_fras_ShareScheme" xml:lang="en">Share Scheme</label>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_fras_ShareScheme" xlink:to="lab_fras_ShareScheme" />
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:label="lab_fras_ShareScheme" xml:lang="en">Share scheme.</label>
    <loc xlink:type="locator" xlink:href="213800JEGHHEAXIJDX34-2022-04-24.xsd#fras_TotalComprehensiveIncomeForThePeriod" xlink:label="loc_fras_TotalComprehensiveIncomeForThePeriod" />
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/label" xlink:label="lab_fras_TotalComprehensiveIncomeForThePeriod" xml:lang="en">Total Comprehensive Income For The Period</label>
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:label="lab_fras_TotalComprehensiveIncomeForThePeriod" xml:lang="en">Total Comprehensive Income For The Period</label>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_fras_TotalComprehensiveIncomeForThePeriod" xlink:to="lab_fras_TotalComprehensiveIncomeForThePeriod" />
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:label="lab_fras_TotalComprehensiveIncomeForThePeriod" xml:lang="en">Total comprehensive income for the period.</label>
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2020-03-16/full_ifrs/full_ifrs-cor_2020-03-16.xsd#ifrs-full_DividendsRecognisedAsDistributionsToNoncontrollingInterests" xlink:label="loc_ifrs-full_DividendsRecognisedAsDistributionsToNoncontrollingInterests" />
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2009/role/negatedLabel" xlink:label="lab_ifrs-full_DividendsRecognisedAsDistributionsToNoncontrollingInterests" xml:lang="en">Dividends Paid To NonControlling Interests1</label>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_DividendsRecognisedAsDistributionsToNoncontrollingInterests" xlink:to="lab_ifrs-full_DividendsRecognisedAsDistributionsToNoncontrollingInterests" />
  </labelLink>
</linkbase>